Bug 511005 - R package should use the macros
R package should use the macros
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: R-mAr (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 04:26 EDT by Pierre-YvesChibon
Modified: 2009-07-29 17:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.1-16.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 17:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2009-07-13 04:26:25 EDT
Description of problem:
While installing any of the following three libraries:
- R-mAr
- R-wavethresh
- R-waveslim

I have met an error on the %post script:

> Installing     : R-mAr1.1-14.fc11.x86_64                       1/1 
> /var/tmp/rpm-tmp.EbOwNc: line 1: /usr/lib64/R/doc/html/search/index.txt: No > such file or directory
> Non-fatal POSTIN scriptlet failure in rpm package R-mAr-1.1-14.fc11.x86_64
> warning: %post(R-mAr-1.1-14.fc11.x86_64) scriptlet failed, exit status 1


I looked at the CVS to find the you are using: 

> %post
> cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt
> 
> %postun
> cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt


While the R packaging guidelines [1] advise to use:
> %post
> %{_R_make_search_index}
> 
> %postun
> %{_R_make_search_index}


This is reproducible every time on F11 x86_64

Thanks :)


[1] https://fedoraproject.org/wiki/Packaging/R
Comment 1 Pierre-YvesChibon 2009-07-28 13:02:16 EDT
ping ?
Comment 2 José Matos 2009-07-28 13:26:50 EDT
Pong. :-)

-EBUSY ;-)

You are free to apply the proposed changes.
They are the logical step after the update of the R packaging guidelines.

If not I will do it next week (August).
Comment 3 Pierre-YvesChibon 2009-07-28 13:33:24 EDT
I don't think I can commit on the cvs so it will wait a bit :-)

(I was just wondering if you saw the bug ;-) )

Thanks
Comment 4 Fedora Update System 2009-07-28 17:33:37 EDT
R-wavethresh-2.2.11-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-wavethresh-2.2.11-1.fc10
Comment 5 Fedora Update System 2009-07-28 17:33:42 EDT
R-wavethresh-2.2.11-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-wavethresh-2.2.11-1.fc11
Comment 6 Fedora Update System 2009-07-28 17:35:14 EDT
R-waveslim-1.6.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-waveslim-1.6.1-5.fc10
Comment 7 Fedora Update System 2009-07-28 17:35:19 EDT
R-waveslim-1.6.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-waveslim-1.6.1-5.fc11
Comment 8 Fedora Update System 2009-07-28 18:02:38 EDT
R-mAr-1.1.1-16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-mAr-1.1.1-16.fc10
Comment 9 Fedora Update System 2009-07-28 18:02:43 EDT
R-mAr-1.1.1-16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-mAr-1.1.1-16.fc11
Comment 10 Fedora Update System 2009-07-29 17:30:46 EDT
R-mAr-1.1.1-16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-29 17:31:33 EDT
R-wavethresh-2.2.11-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-07-29 17:31:52 EDT
R-waveslim-1.6.1-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-29 17:32:44 EDT
R-wavethresh-2.2.11-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-29 17:34:04 EDT
R-waveslim-1.6.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-07-29 17:36:44 EDT
R-mAr-1.1.1-16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.